> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anabosi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Login

> #### Everyone can access this route

###### Request object is expected to be like this:

``` json
{
    "firstName": "",
{
    "username": "",
    "password": ""
}


```

- username and password are mandatory.



## OpenAPI

````yaml post /auth
openapi: 3.0.0
info:
  title: Manager-API 2.0
  version: 2.0.0
servers:
  - url: http://{{baseurl}}
security:
  - bearerAuth: []
tags:
  - name: Auth
    description: Authenticaition related routes.
  - name: Users
  - name: Logs
  - name: Payees
  - name: Cheques
  - name: Bills
paths:
  /auth:
    post:
      tags:
        - Auth
      summary: Login
      description: |-
        #### Everyone can access this route

        ###### Request object is expected to be like this:

        ``` json
        {
            "firstName": "",
        {
            "username": "",
            "password": ""
        }


        ```

        - username and password are mandatory.
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                username: admin
                password: '12345678'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````